<mamecheat version="1">

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@10DF0F=63</action>
    </script>
  </cheat>

  <cheat desc="Finish this Round Now!">
    <script state="on">
      <action>maincpu.pb@10DF0F=00</action>
    </script>
  </cheat>

  <cheat desc=" "/>
  <cheat desc="The Go to Boss Now! Cheat must be activated"/>
  <cheat desc="on the character selection screen."/>
  <cheat desc=" "/>

  <cheat desc="Go to First Boss Now!">
    <script state="on">
      <action>maincpu.pb@104BEB=07</action>
    </script>
  </cheat>

  <cheat desc="Go to Final Boss Now!">
    <script state="on">
      <action>maincpu.pb@104BEB=08</action>
    </script>
  </cheat>

  <cheat desc="Select Birthday Character"> <comment>Always enables Heat Mode</comment>
    <parameter>
      <item value="0x0000">Robert</item>
      <item value="0x0001">Ryo</item>
      <item value="0x0002">Karman</item>
      <item value="0x0003">Kasumi</item>
      <item value="0x0004">Rody</item>
      <item value="0x0005">Lenny</item>
      <item value="0x0006">Wang</item>
      <item value="0x0007">Jin</item>
      <item value="0x0008">Sinclair</item>
      <item value="0x0009">Wyler</item>
    </parameter>
    <script state="run">
      <action>maincpu.pw@10E260=param</action>
    </script>
  </cheat>

  <cheat desc="Unlock Sinclair">
    <script state="run">
      <action>maincpu.pb@10EC07=01|(maincpu.pb@10EC07 BAND ~01)</action>
    </script>
  </cheat>

  <cheat desc="Unlock Wyler">
    <script state="run">
      <action>maincpu.pb@10EC07=02|(maincpu.pb@10EC07 BAND ~02)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pb@100468=10</action>
      <action>maincpu.pb@100469=00</action>
    </script>
  </cheat>

  <cheat desc="Drain All Energy Now! PL1">
    <script state="on">
      <action>maincpu.pb@100468=00</action>
      <action>maincpu.pb@100469=01</action>
    </script>
  </cheat>

  <cheat desc="Infinite Power PL1">
    <script state="run">
      <action>maincpu.pb@10046A=10</action>
      <action>maincpu.pb@10046B=00</action>
    </script>
  </cheat>

  <cheat desc="Always have Minimum Power PL1">
    <script state="run">
      <action>maincpu.pb@10046A=00</action>
      <action>maincpu.pb@10046B=00</action>
    </script>
  </cheat>

  <cheat desc="Drain All Power Now! PL1">
    <script state="on">
      <action>maincpu.pb@10046A=00</action>
      <action>maincpu.pb@10046B=01</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Punch PL1">
    <script state="run">
      <action>maincpu.pb@1078A8=00|(maincpu.pb@1078A8 BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Kick PL1">
    <script state="run">
      <action>maincpu.pb@1078A8=00|(maincpu.pb@1078A8 BAND ~20)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Hardbrow PL1">
    <script state="run">
      <action>maincpu.pb@1078A8=00|(maincpu.pb@1078A8 BAND ~40)</action>
    </script>
  </cheat>

  <cheat desc="Select Character PL1"> <comment>Free player selection - No secret characters. Use between rounds only. Doesn't work for 1st round though.</comment>
    <parameter>
      <item value="0x00">Robert Garcia</item>
      <item value="0x01">Ryo Sakazaki</item>
      <item value="0x02">Karman Cole</item>
      <item value="0x03">Kazumi Todoh</item>
      <item value="0x04">Rody Birts</item>
      <item value="0x05">Lenny Creston</item>
      <item value="0x06">Wang Koh San</item>
      <item value="0x07">Jin Fuha</item>
      <item value="0x08">Sinclair</item>
      <item value="0x09">Wyler</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@104C0D=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pb@100568=10</action>
      <action>maincpu.pb@100569=00</action>
    </script>
  </cheat>

  <cheat desc="Drain All Energy Now! PL2">
    <script state="on">
      <action>maincpu.pb@100568=00</action>
      <action>maincpu.pb@100569=01</action>
    </script>
  </cheat>

  <cheat desc="Infinite Power PL2">
    <script state="run">
      <action>maincpu.pb@10056A=10</action>
      <action>maincpu.pb@10056B=00</action>
    </script>
  </cheat>

  <cheat desc="Always have Minimum Power PL2">
    <script state="run">
      <action>maincpu.pb@10056A=00</action>
      <action>maincpu.pb@10056B=00</action>
    </script>
  </cheat>

  <cheat desc="Drain All Power Now! PL2">
    <script state="on">
      <action>maincpu.pb@10056A=00</action>
      <action>maincpu.pb@10056B=01</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Punch PL2">
    <script state="run">
      <action>maincpu.pb@1078E8=00|(maincpu.pb@1078E8 BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Kick PL2">
    <script state="run">
      <action>maincpu.pb@1078E8=00|(maincpu.pb@1078E8 BAND ~20)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Hardbrow PL2">
    <script state="run">
      <action>maincpu.pb@1078E8=00|(maincpu.pb@1078E8 BAND ~40)</action>
    </script>
  </cheat>

  <cheat desc="Select Character PL2"> <comment>Free player selection - No secret characters. Use between rounds only. Doesn't work for 1st round though.</comment>
    <parameter>
      <item value="0x00">Robert Garcia</item>
      <item value="0x01">Ryo Sakazaki</item>
      <item value="0x02">Karman Cole</item>
      <item value="0x03">Kazumi Todoh</item>
      <item value="0x04">Rody Birts</item>
      <item value="0x05">Lenny Creston</item>
      <item value="0x06">Wang Koh San</item>
      <item value="0x07">Jin Fuha</item>
      <item value="0x08">Sinclair</item>
      <item value="0x09">Wyler</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@104C0F=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Select Cartridge/NeoGeo Type"> <comment>Use in conjuction with the 'Skip RAM/ROM Checks' cheat for the best effect, then enable it and reset. The Home (NEOGEO) setting may open up other aspects of the game or it may even make the game unplayable.</comment>
    <parameter>
      <item value="0x80">Arcade (MVS)</item>
      <item value="0x00">Home (NEOGEO)</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@10FD82=param</action>
    </script>
  </cheat>

  <cheat desc="Skip RAM/ROM Checks"> <comment>Also allows a quicker start-up without the green screens. It's better to use together with Pre-Enable.</comment>
    <script state="on">
      <action>temp0 =maincpu.rd@C1315C</action>
      <action>temp1 =maincpu.rd@C1314E</action>
      <action>temp2 =maincpu.rd@C131E8</action>
      <action>temp3 =maincpu.rd@C13184</action>
      <action>temp4 =maincpu.rd@C1212E</action>
      <action>temp5 =maincpu.rd@C134FA</action>
    </script>
    <script state="run">
      <action condition="(maincpu.rd@C1315C==51CFFFF2)">maincpu.rd@C1315C=6000EB08</action> <!-- Euro + Japan-S2 BIOSs -->
      <action condition="(maincpu.rd@C1314E==51CFFFF2)">maincpu.rd@C1314E=6000EB16</action> <!-- Euro-S1 + Japan-S1 BIOSs -->
      <action condition="(maincpu.rd@C131E8==51CFFFF2)">maincpu.rd@C131E8=6000EA52</action> <!-- US BIOS -->
      <action condition="(maincpu.rd@C13184==51CFFFF2)">maincpu.rd@C13184=6000EAB6</action> <!-- US-E BIOS -->
      <action condition="(maincpu.rd@C1212E==51CFFFF2)">maincpu.rd@C1212E=6000EB36</action> <!-- Asia BIOS -->
      <action condition="(maincpu.rd@C134FA==51CFFFF2)">maincpu.rd@C134FA=6000E892</action> <!-- Japan BIOS -->
    </script>
    <script state="off">
      <action>maincpu.rd@C1315C=temp0 </action>
      <action>maincpu.rd@C1314E=temp1 </action>
      <action>maincpu.rd@C131E8=temp2 </action>
      <action>maincpu.rd@C13184=temp3 </action>
      <action>maincpu.rd@C1212E=temp4 </action>
      <action>maincpu.rd@C134FA=temp5 </action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
